Bug report #15747

SAGA support broken for SAGA LTR version

Added by Paolo Cavallini almost 4 years ago. Updated over 3 years ago.

Status:Closed
Priority:Normal
Assignee:Giovanni Manghi
Category:Processing/SAGA
Affected QGIS version:2.18.0 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:fixed/implemented
Crashes QGIS or corrupts data:No Copied to github as #:23669

Description

Now that SAGA has an LTR policy, it is important to support it, by:
  • adding SAGA LTR to Osge4W and OSX installers
  • adding support for the changed syntax for 2.3.

History

#1 Updated by Paolo Cavallini almost 4 years ago

  • Subject changed from SAGA support broken for SAG LTR version to SAGA support broken for SAGA LTR version

To obtain the list of options to change, just download both interface descriptions from the wiki:

https://sourceforge.net/p/saga-gis/wiki/Changelog%202.2.3/attachment/saga_cmd_interface_v2_2_3.txt

https://sourceforge.net/p/saga-gis/wiki/Changelog%202.3.0/attachment/saga_cmd_interface_v2_3_0.txt

Then do a diff between both files and pipe the result into a changes.txt:

diff saga_cmd_interface_v2_2_3.txt saga_cmd_interface_v2_3_0.txt > changes.txt

#2 Updated by Giovanni Manghi over 3 years ago

  • Easy fix? set to No
  • Regression? set to No

#4 Updated by Paolo Cavallini over 3 years ago

  • Description updated (diff)

On Debian Sid we have SAGA 2.3.1+dfsg-3, and many commands do not seem to be working.

#5 Updated by Giovanni Manghi over 3 years ago

  • Assignee changed from Victor Olaya to Giovanni Manghi
  • Status changed from Open to Feedback

Paolo Cavallini wrote:

On Debian Sid we have SAGA 2.3.1+dfsg-3, and many commands do not seem to be working.

make some example, or better a complete list so we can fix them. Anyway the original description and title are now not anymore appropriate. SAGA ltr is supported on all platforms, and if there are specific modules not working then single tickets should be opened for each one (and this ticket closed).

#6 Updated by Paolo Cavallini over 3 years ago

Checking modules one by one is an enormous amount of work, done already over and over. I think we have to find a better solution here.
Thanks for your feedback.

#7 Updated by Giovanni Manghi over 3 years ago

Paolo Cavallini wrote:

Checking modules one by one is an enormous amount of work, done already over and over. I think we have to find a better solution here.
Thanks for your feedback.

Is SAGA LTR supported and working on Debian Sid and qgis 2.18.9 in general (beside the modules that needs file descriptions updates/changes)?

#8 Updated by Paolo Cavallini over 3 years ago

Yes.

#9 Updated by Giovanni Manghi over 3 years ago

  • Status changed from Feedback to Closed
  • Resolution set to fixed/implemented

Paolo Cavallini wrote:

Yes.

if yes then this ticket can be closed (there is also already a ticket about SAGA/GRASS issues on master).

If/when a SAGA LTR module is found to be not working then file a single ticket about it and assign it to me. A revision of SAGA ltr modules is planned anyway in time for QGIS 2.18 when it will become LTR.

Also available in: Atom PDF